ecshop微信商城
  官方微博: 腾讯  
首页 > ECSHOP教程 > ECSHOP安装教程 > 安装升级 > ECSHOP4.0 h5网路错误解决方案【ECSHOP4.0 H5网路错误】ECSHOP H5网路错误

ECSHOP4.0 h5网路错误解决方案【ECSHOP4.0 H5网路错误】ECSHOP H5网路错误

ECSHOP教程 / ecshop 教程网(www.ecshop119.com) 2018-10-30

ECSHOP4.0安装以后很多人出现ECSHOP H5网路错误,pc端和和H5 通信失败问题,ECSHOP教程网排查解决ECSHOP4.0 h5网路错误方案。


配置服务器PHP环境和MYSQL ,不符合ECSHOP4.0要求


服务器配置要求:操作系统:LINUX;Web服务器:Nginx(推荐) >= 1.8.0 ;PHP版本:>= 7.0;
MYSQL:>= 5.6;Memcached:>= 1.4.2;PHP扩展:memcached fileinfo openssl Zend Guard Loader;



服务器配置环境得到ECSHOP4.0要求了没有呢?


本人今天按Windows环境下  Apache php5.5.38   MYSQL5.6为例:


修改:PHP.INI



修改完以上一般是不会出现通信失败了,本人按这个安装没有出现网络错误问题,通信失败

假如还会出现继续修改:


appserver\vendor\kamiorz\lumen-cors\src\CorsService.php 


$response->headers->set('Access-Control-Allow-Origin', $request->headers->get('Origin'));

$response->headers->set('Access-Control-Allow-Origin', $request->headers->get('Origin'));

 

注销这2句话,清除缓存看看H5通信问题

 

不管什么服务器,可以测试注销和不注销这2句就可以测试出是否出现ECSHOP H5网路错误



其他服务器:


api和主站目录,均需要配置伪静态规则,如下:

 

location / {

   try_files $uri $uri/ /index.php?$args;

}

 

安装后进不了后台伪静态规则有问题,请修改伪静态规则,如下:

 

location / {

   try_files $uri $uri/ /index.php?$args;

}

 

 

 建议大家用

Windows系统 Apache php5.5.38  MYSQL5.6  安装ecshop3.6   4.0 H5 配置如上教程一般不会出ECSHOP4.0 H5网路错误问题





转载请注明:ECshop119模板屋-ECshop教程网(全国最专业的ECSHOP插件制作商-专业ECSHOP二次开发)

帮助目录

在线反馈

加ECSHOP模板屋微信语音帮助。

ecshop微信群

与网友交流ECSHOP开发修改。

加入QQ群交流